class Record

  # Create accessor methods
  attr_accessor :domain
  attr_accessor :time_out
  attr_accessor :class_type
  attr_accessor :record_type
  attr_accessor :ip_address

  def initialize(array_record)

    # Initialize instance variables
    @domain = array_record[0]
    @time_out = array_record[1]
    @class_type = array_record[2]
    @record_type = array_record[3]

    # MX Records have an extra column before the IP Address block
    if @class_type.eql?("MX")
      @ip_address = array_record[5]
    else
      @ip_address = array_record[4]
    end

    if @ip_address.include?("\n")
      @ip_address.delete!("\n") # Removes the "\n" character from the ip address
    end

  end

end